
enum {
	kAlwaysShowOpenProgress = -1,
	kNeverShowOpenProgress = 0
};

enum {
	kUsePictureOnlyMethod,		// Animate using PICT resources only
	kUsePictureGWorldMethod,	//   "     with GWorlds, using PICS' depth
	kUseMonitorGWorldMethod		//   "     with GWorlds, using monitor's depth
};


void 		InitPICSViewer(
				Boolean changeCreator,
				short animationMethod,
				RGBColor *marqueeColor);
void		SetPICSViewerAnimationMethod(short animationMethod);
void		SetPICSViewerMarqueeColor(RGBColor *marqueeColor);

/*
	Minimum file size to show open progress.
	-1 = always show
	 0 = never show
	 n = If file is n Kbytes or bigger, show progress
*/
void		SetPICSViewerOpenProgress(short minFileSizeToShow);
void 		CleanupPICSViewer();
DialogPtr	GetCurrentPICSViewer();
Boolean		IsPICSViewer(DialogPtr viewer);

void		NewPICSViewer(FSSpec *picsFile);
Boolean		ClosePICSViewer(DialogPtr viewer);
Boolean		SavePICSViewer(DialogPtr viewer);

void		ClickPICSViewer(DialogPtr viewer, short itemClicked);
void		KeyDownPICSViewer(DialogPtr viewer, char keyPressed);
void		UpdatePICSViewer(DialogPtr viewer);
void		ActivatePICSViewer(DialogPtr viewer, Boolean activate);

void		IdlePICSViewer(DialogPtr viewer);

Boolean		IsPICSViewerModified(DialogPtr viewer);

void		SelectEntirePICSViewerFrame(DialogPtr viewer, Boolean select);
void		CopyPICSViewerFrame(DialogPtr viewer);

// Specific stuff to the app.
void		CompositePICSViewer(DialogPtr viewer);
void		SplitPICSViewer(DialogPtr viewer);